Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Class ReasonForBuildUserType

    java.lang.Object
      com.atlassian.bamboo.resultsummary.ReasonForBuildUserType

    public class ReasonForBuildUserType

extends Object

Constructor Summary
`ReasonForBuildUserType()`

Method Summary
`Object` | `deepCopy(Object object)`
`boolean` | `equals(Object object, Object object1)`
`boolean` | `isMutable()`
`Object` | `nullSafeGet(ResultSet resultSet, String[] names, Object object)`
`void` | `nullSafeSet(PreparedStatement preparedStatement, Object object, int i)`
`Class` | `returnedClass()`
`int[]` | `sqlTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonForBuildUserType

    public ReasonForBuildUserType()

Method Detail

### sqlTypes

    public int[] sqlTypes()

### returnedClass

    public Class returnedClass()

### equals

    public boolean equals(Object object,
                          Object object1)
                   throws HibernateException

  Throws:
    `HibernateException`

### nullSafeGet

    public Object nullSafeGet(ResultSet resultSet,
                              String[] names,
                              Object object)
                       throws HibernateException,
                              SQLException

  Throws:
    `HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement preparedStatement,
                            Object object,
                            int i)
                     throws HibernateException,
                            SQLException

  Throws:
    `HibernateException`
    `SQLException`

### deepCopy

    public Object deepCopy(Object object)
                    throws HibernateException

  Throws:
    `HibernateException`

### isMutable

    public boolean isMutable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.